import Vue from "vue";
// test用json
const json = require("./buy.json");
const properties = json.properties;
Vue.component('properties', require('../components/PropertiesComponent.vue').default);

new Vue({
    el: "#header",
    data: {
        menuClass: "header__menu-button",
        moved: false,
    },

    methods: {
        toggleClass() {
            if (this.moved == true) {
                this.moved = false;
            } else {
                this.moved = true;
            }
        },
    }
});

new Vue({
    el: "#buy",
    data: {
        photoToggle: false,
        properties: properties,
    },
    
    methods: {
        changeImage() {
            if (this.photoToggle == true) {
                this.photoToggle = false;
            } else {
                this.photoToggle = true;
            }
        }
    }
});
